Bug 431810 - doesn't stop the processes when IM is disabled on im-chooser
doesn't stop the processes when IM is disabled on im-chooser
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On: 433578
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 21:36 EST by Akira TAGOH
Modified: 2008-07-08 02:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 02:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-02-06 21:36:27 EST
Description of problem:
New im-chooser has a capable of being started/stopped IM without restarting the
desktop. however scim's processes are still running even if disabling IM.

Version-Release number of selected component (if applicable):
1.4.7-8.fc9

How reproducible:
always

Steps to Reproduce:
1. choose SCIM on im-chooser.
2. turn off "Enable input method feature" checkbox.
3.
  
Actual results:
still running scim processes

Expected results:
should be stopped.

Additional info:
Comment 1 Akira TAGOH 2008-02-06 21:41:15 EST
im-chooser is looking at PIDs when XIM_PROGRAM and AUXILIARY_PROGRAM is brought
up. however /usr/bin/scim what currently scim.conf has for XIM_PROGRAM is
bringing up multiple processes and exits after that. so that pid is invalid then.
This is what's happening now. FYI.
Comment 2 Peng Huang 2008-02-21 01:01:30 EST
Fixed in 1.4.7-111
Comment 3 Jens Petersen 2008-02-25 20:15:19 EST
This change to scim-conf seems to break scim startup for some users.
Probably starting up the XIM socket first may prevent SCIM starting
up correctly sometimes.  It might be a bug and/or race condition, and
may depend on the speed of the machine perhaps...
Comment 4 Peng Huang 2008-02-25 22:39:17 EST
I modified scim.conf to use /usr/bin/scim to start scim related processe. 
In the new version scim.conf, scim will not start as a daemon.
im-settings-daemon can close it by sending SIGINT or SIGTERM signal to scim
processes.

FIXED in version 1.4.7-12.
Comment 5 Bug Zapper 2008-05-14 01:03:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.